

/********************************************************
 * System Commands
 *
 ********************************************************/

#define CMD_SetBacklightIntensity       0x0003
#define CMD_SetDisplayMode              0x0020  // Landscape=1, Portrait=0
#define CMD_SoftwareReset               0x0030
#define CMD_SoftwareReset_A             0x0232  // Subcommand
#define CMD_DebugMode                   0x0031 
#define CMD_SetDisplayMode              0x0020 



#define DISPLAYMODE_Portrait            0
#define DISPLAYMODE_Landscape           1


// Prototypes

void SoftwareReset(void);
void SetBacklightIntensity(uint8_t intensity);
void SetDisplayMode(uint8_t mode);
void DebugMode(uint8_t mode);
