

/********************************************************
 * Touchpanel Commands
 * 
 ********************************************************/

#define CMD_TouchPanel_SetConfig              0xA400  
#define CMD_TouchPanel_ReadEvent              0xA401
#define CMD_TouchPanel_Calibrate              0xA402

#define CMD_TouchPanel_ReadCont               0xA403  // letzten Continual zurckgeben
#define CMD_TouchPanel_ReadUp                 0xA404  // letzten Up zurckgeben
#define CMD_TouchPanel_ReadDown               0xA405  // letzten Down zurckgeben




// Bit definitions for configuration
#define TOUCH_EVENT_CONT  (1<<2)
#define TOUCH_EVENT_DOWN  (1<<0)
#define TOUCH_EVENT_UP    (1<<1)


// Prototypes

void TouchPanel_SetConfig(uint8_t config);
uint8_t TouchPanel_ReadEvent(void);
void TouchPanel_Calibrate(void);
uint8_t TouchPanel_ReadCont(uint16_t *x, uint16_t *y);
uint8_t TouchPanel_ReadDown(uint16_t *x, uint16_t *y);
uint8_t TouchPanel_ReadUp(uint16_t *x, uint16_t *y);










