


/********************************************************
 * Graphical Commands
 *
 ********************************************************/

#define CMD_FillScreen_BrushColor       0x0021
#define CMD_FillScreen_PenColor         0x0022
#define CMD_FillScreen_RGBColor         0x0023

#define CMD_DrawRect_PenColor           0x0200  //ok Block verbessert !
#define CMD_DrawRect_PenColorFill       0x0201  //ok
#define CMD_DrawRect_BrushColor         0x0202  //ok
#define CMD_DrawRect_BrushColorFill     0x0203  //ok
#define CMD_DrawRect_RGBColor           0x0204  //ok
#define CMD_DrawRect_RGBColorFill       0x0205  //ok

#define CMD_DrawCircle_PenColor         0x0210  // ok
#define CMD_DrawCircle_BrushColor       0x0211  // ok
#define CMD_DrawCircle_RGBColor         0x0212  // ok

#define CMD_DrawLine_PenColor           0x0220  // ok
#define CMD_DrawLine_BrushColor         0x0221  // ok
#define CMD_DrawLine_RGBColor           0x0222  // ok

#define CMD_DrawPixel_PenColor          0x0230  // ok
#define CMD_DrawPixel_BrushColor        0x0231  // ok
#define CMD_DrawPixel_RGBColor          0x0232  // ok

#define CMD_MoveTo                      0x0240  // ok
#define CMD_LineTo_PenColor             0x0241  // ok
#define CMD_LineTo_BrushColor           0x0242  // ok
#define CMD_LineTo_RGBColor             0x0243  // ok

#define CMD_DrawImage_Begin             0x0250  // <<<


// Prototypes


void FillScreen_BrushColor(void);
void FillScreen_PenColor(void);
void FillScreen_RGBColor(uint8_t r, uint8_t g, uint8_t b);
void MoveTo(uint16_t x, uint16_t y);
void LineTo_PenColor(uint16_t x, uint16_t y);
void LineTo_BrushColor(uint16_t x, uint16_t y);
void LineTo_RGBColor(uint16_t x, uint16_t y, uint8_t r, uint8_t g, uint8_t b);
void DrawPixel_PenColor(uint16_t x, uint16_t y);
void DrawPixel_BrushColor(uint16_t x, uint16_t y);
void DrawPixel_RGBColor(uint16_t x, uint16_t y, uint8_t r, uint8_t g, uint8_t b);
void DrawLine_PenColor(uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2);
void DrawLine_BrushColor(uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2);
void DrawLine_RGBColor(uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2, uint8_t r, uint8_t g, uint8_t b);
void DrawRect_PenColor(uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2);
void DrawRect_PenColorFill(uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2);
void DrawRect_BrushColor(uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2);
void DrawRect_BrushColorFill(uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2);
void DrawRect_RGBColor(uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2, uint8_t r, uint8_t g, uint8_t b);
void DrawRect_RGBColorFill(uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2, uint8_t r, uint8_t g, uint8_t b);
void DrawCircle_PenColor(uint16_t x, uint16_t y, uint8_t radius);
void DrawCircle_BrushColor(uint16_t x, uint16_t y, uint8_t radius);
void DrawCircle_RGBColor(uint16_t x, uint16_t y, uint8_t radius, uint8_t r, uint8_t g, uint8_t b);

void DrawImage_Begin(uint16_t x, uint16_t y, uint16_t width, uint16_t height);
void DrawImage_WritePixel(uint8_t r, uint8_t g, uint8_t b);
void DrawImage_Stop(void);





















