


/********************************************************
 * Text Commands
 * 
 ********************************************************/

#define CMD_SetPenColor                 0x0001
#define CMD_SetBrushColor               0x0002


#define CMD_DisplayText			        0x0010  
#define CMD_SetFont                     0x0011
#define CMD_GetTextWidth         	    0x0012  
#define CMD_SetTextMarginX              0x0013
#define CMD_SetTextFont                 0x0014
#define CMD_SetNumberFont               0x0015



// Prototypes

void DisplayText(uint16_t x, uint16_t y, unsigned char *s);
void DisplayText_F(uint16_t x, uint16_t y, char *s);
void SetFont(uint8_t index);
void SetTextMarginX(uint16_t x);
uint16_t GetTextWidth(unsigned char *s);
void SetTextFont(uint8_t index);
void SetNumberFont(uint8_t index);
void SetPenColor(uint8_t r, uint8_t g, uint8_t b);
void SetBrushColor(uint8_t r, uint8_t g, uint8_t b);



